| CMSIS-Driver Version 2.02 Peripheral Interface for Middleware and Application Code

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
SPI Data Bits
SPI Control Codes

Defines the number of data bits. More...

## Macros

#define | ARM_SPI_DATA_BITS(n) (((n) & 0x3F) << ARM_SPI_DATA_BITS_Pos)
| Number of Data bits.

## Description

Defines the number of data bits.

## Macro Definition Documentation

#define ARM_SPI_DATA_BITS | ( |  | n | ) | (((n) & 0x3F) << ARM_SPI_DATA_BITS_Pos)

Number of Data bits.

See Also
  ARM_SPI_Control